with Raylib;
use  Raylib;

procedure Window is

	function C_String (Data : String) return String is
	begin
		return (Data & Character'Val (0));
	end C_String;

	Text : String := C_String ("Heyo world!");

	Dragdown : Texture;

	X : Integer := 120;
	Y : Integer := 120;

begin

	Open_Window (720, 360, C_String ("Heyo Raylib!"));

	Set_Exit_Key   (Key_Q); -- Default is Key_Escape
	Set_Target_FPS (72);    -- Default is 60

	Dragdown := Load_Texture (C_String ("./texture.png"));

	Main_Loop: loop
		exit when Window_Should_Close;
		--
		Begin_Drawing;
		--
		Clear_Background (Sky_Blue);
		Draw_Texture     (Dragdown, 100, 100, White);
		Draw_Text        (Text, 90, 90);
		Draw_FPS         (X, Y);
		Draw_Line        (0, 0, 300, 300, Black);
		Draw_Rectangle   (120, 120, 30, 60, Blue);
		--
		if Is_Key_Pressed (Key_W) then Y := Y - 10; end if;
		if Is_Key_Pressed (Key_S) then Y := Y + 10; end if;
		if Is_Key_Pressed (Key_A) then X := X - 10; end if;
		if Is_Key_Pressed (Key_D) then X := X + 10; end if;
		--
		End_Drawing;
	end loop Main_Loop;

	Unload_Texture (Dragdown);

	Close_Window;

end Window;
